com.hazelcast.mapreduce

## Interface TrackableJob<V>

- Type Parameters:
    `V` - type of the returning value

  Deprecated.
  MapReduce is deprecated and will be removed in 4.0. For map aggregations, you can use `Aggregator` on IMap. For general data processing, it is superseded by Hazelcast Jet.

      @Deprecated
      public interface TrackableJob<V>

  This interface describes a trackable job. In the default implementation, the internal assigned operation processor is a TrackableJob, so the process can be watched while processing.
  To request the TrackableJob of a map reduce job, you can use the following code snippet.

       JobTracker tracker = hazelcastInstance.getJobTracker(...);
       Job job = tracker.newJob(...);
       // ...
       JobCompletableFuture future = job.submit();
       String jobId = future.getJobId();
       TrackableJob trackableJob = tracker.getTrackableJob(jobId);

  Since:
    3.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICompletableFuture<V>` | `getCompletableFuture()` Deprecated. Returns the `ICompletableFuture` to add callbacks or wait for the resulting value of the tracked job.
    `String` | `getJobId()` Deprecated. Returns the unique job ID of the tracked job
    `JobProcessInformation` | `getJobProcessInformation()` Deprecated. Returns an instance of `JobProcessInformation` to find out the state and statistics of a running task, or returns null if the underlying job ID is not available because the job is already finished or has not yet been submitted. It returns null if not requested on the job issuing cluster member or client, since those values are not distributed to all clusters for traffic reasons.
    `JobTracker` | `getJobTracker()` Deprecated. Returns the assigned `JobTracker`
    `String` | `getName()` Deprecated. Returns the name of the underlying `JobTracker`

- - ### Method Detail

    - #### getJobTracker

          JobTracker getJobTracker()

      Deprecated.
      Returns the assigned `JobTracker`
      Returns:
        assigned JobTracker

    - #### getName

          String getName()

      Deprecated.
      Returns the name of the underlying `JobTracker`
      Returns:
        name of the JobTracker

    - #### getJobId

          String getJobId()

      Deprecated.
      Returns the unique job ID of the tracked job
      Returns:
        job ID of the tracked job

    - #### getCompletableFuture

          ICompletableFuture<V> getCompletableFuture()

      Deprecated.
      Returns the `ICompletableFuture` to add callbacks or wait for the resulting value of the tracked job.
      Returns:
        ICompletableFuture of the tracked job

    - #### getJobProcessInformation

          JobProcessInformation getJobProcessInformation()

      Deprecated.
      Returns an instance of `JobProcessInformation` to find out the state and statistics of a running task, or returns null if the underlying job ID is not available because the job is already finished or has not yet been submitted.
      It returns null if not requested on the job issuing cluster member or client, since those values are not distributed to all clusters for traffic reasons.
      Returns:
        instance of the job process information, or null if job ID is not available

Copyright © 2019. All rights reserved.